Overview
GET/public/themes/{key}themes

Get one live theme by key

Fetch a record from themes by key.

Parameters
  • keypathstring
Responses
200

A theme

  • keystring
  • labelstring
  • basedOnstring?
  • dataobject
  • createdAtstring
  • updatedAtstring
Example
{
  "key": "string",
  "label": "string",
  "basedOn": "string",
  "data": {},
  "createdAt": "string",
  "updatedAt": "string"
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/public/themes/{key}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/public/themes/{key}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();